<?php

/**
 * Plugin Name: WP Get List Images to Optimize
 * Description: Plugin gives you the list of image that you will need to optimize depending on the size of them.
 * Author: Martin De Gregorio
 * Author URI: http://www.infuy.com
 * Version: 1
 * Plugin URI:
 * License: GPL2+
 */

if ( ! defined( 'ABSPATH' ) ) exit; 

	// I will make the control of the tokens
	define("WTO_IMAGES_TO_OPTIMIZE_TEXT", "wto_images_to_optimize_");

	function wto_images_to_optimize_plugin_menu() {

	    add_menu_page(
    		'Wp list of Images to Optimize',
			'Wp list of Images to Optimize',
			'activate_plugins',
			WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_settings',
			WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_main_page');

	    add_submenu_page(
	    	WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_settings',
			__('WP List Images to Optimize Settings'),
			__('<i class="material-icons">settings</i> Main'),
			'activate_plugins',
			WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_main_settings',
			WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_main_page'
	    );
	}

	function wto_images_to_optimize_plugin_main_page() {
		$optionUrl = get_option(WTO_IMAGES_TO_OPTIMIZE_TEXT.'app_size');
		include 'wto-images-wp-to-optimize-plugin-admin-main.php';
	}

	function wto_display_appsize_element() {
		?>
	    	<input type="text" class="form-control" name="<?php echo WTO_IMAGES_TO_OPTIMIZE_TEXT;?>app_size" id="<?php echo WTO_IMAGES_TO_OPTIMIZE_TEXT;?>app_size" maxlength="5" style="width:80px;" value="<?php echo get_option(WTO_IMAGES_TO_OPTIMIZE_TEXT.'app_size'); ?>" /> 
	    <?php
	}

	function wto_sanitize_option_titles($title) {
		$title = str_replace("-", "_", $title);
		return sanitize_title($title);
	}

	function wto_display_theme_panel_fields(){

		add_settings_section("section-optimize-image", "", null, "wto-images-options");

		add_settings_field(WTO_IMAGES_TO_OPTIMIZE_TEXT."app_size", "Image Sizes (Mb)", "wto_display_appsize_element", "wto-images-options", "section-optimize-image");
		
	   	register_setting("section-optimize-image", WTO_IMAGES_TO_OPTIMIZE_TEXT."app_size", "wto_sanitize_option_titles");
	}

	$pluginpath = plugins_url( '/', __FILE__ );

	function wto_images_to_optimize_install() {
		$plugin_data = $plugin_data = get_plugin_data( __FILE__  , false, false);
		$version = strval($plugin_data['Version']);
		update_option( WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_version',"WP_".$version  );

		add_option( WTO_IMAGES_TO_OPTIMIZE_TEXT."app_size", 1);
	}

	function wto_images_to_optimize_uninstall() {
		delete_option( WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_version' );
		delete_option( WTO_IMAGES_TO_OPTIMIZE_TEXT.'app_size' );
	}

	register_activation_hook( __FILE__, WTO_IMAGES_TO_OPTIMIZE_TEXT.'install' );
	register_uninstall_hook( __FILE__, WTO_IMAGES_TO_OPTIMIZE_TEXT.'uninstall' );

	add_action("admin_init", "wto_display_theme_panel_fields");
	add_action('admin_menu', WTO_IMAGES_TO_OPTIMIZE_TEXT.'plugin_menu');
	add_action( 'admin_enqueue_scripts', 'wptuts_add_color_picker' );

	/**
	 * This example will work at least on WordPress 2.6.3, 
	 * but maybe on older versions too.
	 */
	add_action( 'admin_menu', 'wto_wp_plugin_admin_menu' );   

	function wto_wp_plugin_admin_menu() {

		 wp_enqueue_script( 'jquery' );
		 wp_enqueue_script( 'jquery-ui-core' );
		 wp_enqueue_script( 'jquery-ui-progressbar' );

		 wp_enqueue_script( 'generate', plugins_url('/js/wto_generate.js', __FILE__), array('jquery'), '1.0.0', true );

		 wp_enqueue_style( 'wto_stylesheet', plugins_url('/css/wto_images_stylesheet.css', __FILE__) );
		 wp_enqueue_style( 'wto_font-awesome-custom', plugins_url('/css/fonts.css', __FILE__) ); 
		 wp_enqueue_style( 'wto_bootstrap', plugins_url('/css/bootstrap.min.css', __FILE__) );
		 wp_enqueue_style( 'wto_jquery-ui-custom-css', plugins_url('/css/jquery-ui.css', __FILE__) );
	}

	include_once("wto_functions.php");
?>
