<?php

	function wto_images_format_correct_size($size) {
	    $units = array( 'B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB');
	    $power = $size > 0 ? floor(log($size, 1024)) : 0;
	    return number_format($size / pow(1024, $power), 2, '.', ',') . ' ' . $units[$power];
  	}

	//function to sort results on resources page via AJAX
	function wto_getlist() {

	  $app_size = sanitize_text_field($_POST['app_size']);

	    ob_start();
	 	$outputFiles = array();
	 	$path = wp_upload_dir()['basedir']."/";

		 if ($app_size > 0) {

		      $iterator = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($path, RecursiveIteratorIterator::CHILD_FIRST));
		      
		      foreach ($iterator as $path) {
		        if ($path->isDir()) {
		          //skip directories
		          continue;
		        } else {
		          $files[] = $path->__toString();
		        }
		      }

		      foreach ($files as $file_name) {
		        $fileSize = filesize($file_name);

		        $var = "$file_name <strong>" . wto_images_format_correct_size($fileSize). "</strong>";

		        if ($fileSize > $app_size * 1000000) {
		          array_push($outputFiles, $var);
		        }    
		      }

		      $str = '';
		      foreach ($outputFiles as $file) {
		        $file = str_replace($path, "", $file);
		        $str .= $file . "<br />";
		      }
		      echo $str;
		    }

	    $content = ob_get_clean();
	    echo $content;
	    die();
	  }

	add_action( 'wp_ajax_wto_getlist', 'wto_getlist' );
	add_action( 'wp_ajax_nopriv_wto_getlist', 'wto_getlist' );

?>